import { Injectable, HttpException, HttpStatus } from '@nestjs/common';
import { Repository } from "typeorm";
import { InjectRepository } from "@nestjs/typeorm";

import { MapMarkerEntity } from './mapmarker.entity';
import { MapMarkerDTO } from './mapmarker.dto';

@Injectable()
export class MapMarkerService {
    constructor(@InjectRepository(MapMarkerEntity) private mapmarkerRepository: Repository<MapMarkerEntity>){}

    // insert markers
    async insertLocation(data: MapMarkerDTO){
        try{
            data.timestamp = new Date(Date.now()).toLocaleString(); //get functions runtime as timestamp
            let location = await this.mapmarkerRepository.create(data);
            await this.mapmarkerRepository.insert(location);            
        }catch(error){
            return error;
        }
    }

    // get all markers
    async getAllMarkers(): Promise<MapMarkerEntity[]>{
        try{
            return this.mapmarkerRepository.find();
        }catch(error){
            return error.message;
        }

    }
}