import { Controller, Body, Get, Put } from '@nestjs/common';

import { MapMarkerService } from './mapmarker.service';
import { MapMarkerDTO } from './mapmarker.dto';

@Controller('mapmarkers')
export class MapMarkersController {
    constructor(private mapmarkerservice: MapMarkerService){}
    
    // Insert figure location
    @Put('insertLocation')
    async insertLocation(@Body() data: MapMarkerDTO): Promise<string>{
        try {
            return this.mapmarkerservice.insertLocation(data);
        } catch (error) {
            return error;
        }
    }

    @Get('getall')
    async getAll(){
        // tarkistaa oikeudet
        // hakee kaikki
        return this.mapmarkerservice.getAllMarkers();
    }
}
